# PV Darstellung der Daten mit gnuplot
# Datei muss Unix Zeilenumbruch besitzen!, also nur LF
# Allgemeine Einstellungen
reset   #Alle Einstellungen zuruecksetzen

set terminal pngcairo size 1900,820 enhanced font 'Verdana,10'
set output "/home/pi/smarty/png/sm_p1_2017_08_14.png"

set origin 0.02,0
set size 0.96
# unset key # Unterdrueckt die Legende
set key bottom center outside horizontal samplen 7 spacing 1 width 10 height 2 font ",14" #autotitle columnhead
set title '14.08.17' font ",30" offset 0,3
set style line 100 lt 1 lc rgb "black" lw 1
set grid ytics ls 100

set datafile commentschar "#"
set datafile separator " "
# set decimalsign "," # gilt leider nur fuer Ausgabestrings!
# set decimalsign locale "de_DE.UTF-8"

# X-Achse
set xdata time  # Erlaube Zeitmodus (zurueck mit set xdata (ohne Argument)
set timefmt "%d.%m.%y %H:%M:%S"        # Eingabeformat festlegen
set format x "%H:%M"                 # Ausgabeformat festlegen
set xtics out 60*60 nomirror
#unset mxtics
# set xlabel "Uhrzeit (Stunden)"
set xrange ["14.08.17 00:00:01":"14.08.17 23:59:59"]

# Y-Achsen
set yrange [0:20000] 
set ytics 1000 font ",18"
set ylabel "W" font ",24" offset -3

set y2range [0:150000] 
set y2tics 5000 font ",10"
set y2label "Energy in Wh"

#set style fill solid border lc rgb "black"
#box 50% from day (day has 86400 seconds)
#set boxwidth 43200 absolute

# Ausgabe der Kennlinie und der Messwerte (Alles in einer Zeile)
# every verhindert Ausgabe der ersten Zeile (Zeile 0 beginnt mit Zeile 1)
# colors 1 red 2 green 3 blue 4 magenta 5 cyan 6 yellow 7 black
# Ausgabe der Kennlinie und der Messwerte (Alles in einer Zeile)
plot "/home/pi/smarty/data/sm_p1_data.min" every::1 u 1:5 axes x1y1 w lines t 'Consumtion [W]' lc rgb "red", \
"" every::1 u 1:4 axes x1y2 w lines t 'Consumption [Wh]' lc rgb "blue" lw 2 lt 0


replot

set terminal x11
set output
